
#if !defined(WINSTL_INCL_WINSTL_HPP_ENVIRONMENT_SEQUENCE)
# error This file cannot be directly included, and should only be included within winstl/environment_sequence.hpp
#endif /* !WINSTL_INCL_WINSTL_HPP_ENVIRONMENT_SEQUENCE */

#if !defined(STLSOFT_UNITTEST)
# error This file cannot be included when not unit-testing STLSoft
#endif /* !STLSOFT_UNITTEST */

namespace unittest
{
    namespace
    {
        ss_bool_t test_winstl_environment_sequence(unittest_reporter *r)
        {
            using stlsoft::unittest::unittest_initialiser;

            ss_bool_t               bSuccess    =   true;

            unittest_initialiser    init(r, "WinSTL", "environment_sequence", __FILE__);

			environment_sequence	es;

			if(es.empty() != (0 == es.size()))
            {
                r->report("empty() == !size() failed", __LINE__);
                bSuccess = false;
            }

			{ environment_sequence::const_iterator	b	=	es.begin();
			  size_t								i	=	0;
			for(; b != es.end(); ++b, ++i)
			{
				if((*b).name != es[i].name)
				{
					r->report("iterator / subscript match failed", __LINE__);
					bSuccess = false;
				}
			}}


            return bSuccess;
        }

        unittest_registrar    unittest_winstl_environment_sequence(test_winstl_environment_sequence);
    } // anonymous namespace

} // namespace unittest
